Bug 822302 - kernel: x86-64: Rework vsyscall emulation and add vsyscall= parameter [mrg-2.1]
kernel: x86-64: Rework vsyscall emulation and add vsyscall= parameter [mrg-2.1]
Status: CLOSED NOTABUG
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: realtime-kernel (Show other bugs)
2.2
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: John Kacur
David Sommerseth
:
Depends On: 822300
Blocks: 822292 822301
  Show dependency treegraph
 
Reported: 2012-05-16 21:23 EDT by Eugene Teo (Security Response)
Modified: 2016-05-22 19:34 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 822300
Environment:
Last Closed: 2012-05-22 07:27:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eugene Teo (Security Response) 2012-05-16 21:23:22 EDT
+++ This bug was initially created as a clone of Bug #822300 +++

Description of problem:
There are three choices:
vsyscall=native: Vsyscalls are native code that issues the corresponding syscalls.

vsyscall=emulate (default): Vsyscalls are emulated by instruction fault traps, tested in the bad_area path.  The actual contents of the vsyscall page is the same as the vsyscall=native case except that it's marked NX.  This way programs that make assumptions about what the code in the page does will not be confused when they read that code.

vsyscall=none: Trying to execute a vsyscall will segfault.

Signed-off-by: Andy Lutomirski <luto@mit.edu>
Link: http://lkml.kernel.org/r/8449fb3abf89851fd6b2260972666a6f82542284.1312988155.git.luto@mit.edu
Signed-off-by: H. Peter Anvin <hpa@linux.intel.com>

Upstream commit:
http://git.kernel.org/linus/3ae36655
Comment 1 John Kacur 2012-05-22 07:26:10 EDT
git describe --contains 3ae36655
v3.1-rc2~16^2

We should tick with the default setting unless we notice -rt perf impacts in the future.

Nothing to do here.

Note You need to log in before you can comment on or make changes to this bug.